<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.app.mapper.AppUserPointLogMapper">

    <resultMap type="AppUserPointLog" id="AppUserPointLogResult">
        <result property="id" column="id"/>
        <result property="appUserId" column="app_user_id"/>
        <result property="point" column="point"/>
        <result property="type" column="type"/>
        <result property="relationId" column="relation_id"/>
        <result property="sourceType" column="source_type"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectAppUserPointLogVo">
        select * from app_user_point_log
    </sql>

    <select id="selectAppUserPointLogList" parameterType="AppUserPointLog" resultMap="AppUserPointLogResult">
        <include refid="selectAppUserPointLogVo"/>
        <where>
            <if test="appUserId != null ">
                and app_user_id = #{appUserId}
            </if>
            <if test="point != null ">
                and point = #{point}
            </if>
            <if test="type != null  and type != ''">
                and type = #{type}
            </if>
            <if test="relationOrderSn != null  and relationOrderSn != ''">
                and relation_order_sn = #{relationOrderSn}
            </if>
            <if test="sourceType != null  and sourceType != ''">
                and source_type = #{sourceType}
            </if>
            <if test="desc != null  and desc != ''">
                and desc = #{desc}
            </if>
        </where>
    </select>

    <select id="selectAppUserPointLogById" parameterType="Integer"
            resultMap="AppUserPointLogResult">
        <include refid="selectAppUserPointLogVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppUserPointLog" parameterType="AppUserPointLog" useGeneratedKeys="true"
            keyProperty="id">
        insert into app_user_point_log
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="appUserId != null">app_user_id,
            </if>
            <if test="point != null">point,
            </if>
            <if test="type != null and type != ''">type,
            </if>
            <if test="relationOrderSn != null">relation_order_sn,
            </if>
            <if test="sourceType != null and sourceType != ''">source_type,
            </if>
            <if test="desc != null">desc,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="appUserId != null">#{appUserId},
            </if>
            <if test="point != null">#{point},
            </if>
            <if test="type != null and type != ''">#{type},
            </if>
            <if test="relationOrderSn != null">#{relationOrderSn},
            </if>
            <if test="sourceType != null and sourceType != ''">#{sourceType},
            </if>
            <if test="desc != null">#{desc},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateAppUserPointLog" parameterType="AppUserPointLog">
        update app_user_point_log
        <trim prefix="SET" suffixOverrides=",">
            <if test="appUserId != null">app_user_id =
                #{appUserId},
            </if>
            <if test="point != null">point =
                #{point},
            </if>
            <if test="type != null and type != ''">type =
                #{type},
            </if>
            <if test="relationOrderSn != null">relation_order_sn =
                #{relationOrderSn},
            </if>
            <if test="sourceType != null and sourceType != ''">source_type =
                #{sourceType},
            </if>
            <if test="desc != null">desc =
                #{desc},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppUserPointLogById" parameterType="Integer">
        delete from app_user_point_log where id = #{id}
    </delete>

    <delete id="deleteAppUserPointLogByIds" parameterType="String">
        delete from app_user_point_log where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>